const gulp = require('gulp'),
    sass = require('gulp-sass'),
    sourcemaps = require('gulp-sourcemaps'),
    watch = require('gulp-watch'),
    autoprefixer = require('gulp-autoprefixer'),
    browserSync = require('browser-sync'),
    concat = require('gulp-concat'),
    cleancss = require('gulp-clean-css'),
    uglify = require('gulp-uglify-es').default;

gulp.task('create_css', function() {
    gulp.src('./build/**/*.scss')
        .pipe(sass().on('error', sass.logError))
        .pipe(concat('style.css'))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./uploads/workshops/projects/so19/css/'));
});

gulp.task('create_min_css', function() {
    gulp.src('./build/**/*.scss')
        .pipe(sass({outputStyle: 'compressed'}).on('error', sass.logError))
        .pipe(concat('style.min.css'))
        .pipe(autoprefixer())
        .pipe(sourcemaps.init())
        .pipe(cleancss())
        .pipe(sourcemaps.write('./'))
        .pipe(gulp.dest('./uploads/workshops/projects/so19/css/'));
});

gulp.task('create_js', function() {
    gulp.src('./build/**/*.js')
        .pipe(concat('main.min.js'))
        .pipe(sourcemaps.write('./'))
        .pipe(gulp.dest('./uploads/workshops/projects/so19/js/'));
});

gulp.task('create_min_js', function() {
    gulp.src('./build/**/*.js')
        .pipe(concat('main.min.js'))
        .pipe(sourcemaps.init())
        .pipe(uglify())
        .pipe(sourcemaps.write('./'))
        .pipe(gulp.dest('./uploads/workshops/projects/so19/js/'));
});

//Watch task
gulp.task('watch', function() {
    browserSync({
        server: {
            baseDir: "./"
        }
    });
    gulp.watch('./*.html').on('change', browserSync.reload);
    gulp.watch(['./build/**/*.scss'], ['create_css']).on('change', browserSync.reload);
    gulp.watch(['./build/**/*.scss'], ['create_min_css']).on('change', browserSync.reload);
    gulp.watch(['./build/**/*.js'], ['create_js']).on('change', browserSync.reload);
    gulp.watch(['./build/**/*.js'], ['create_min_js']).on('change', browserSync.reload);
});
