$(function() {

    function setActive($elements, index) {
        index = index || 0;
        $elements.removeClass('active').eq(index).addClass('active');
    }

    const $rSlider = $('#restaurants');
    if ($rSlider.length) {
        $rSlider.slick({
            slidesToShow: 4,
            prevArrow:    '<div class="slide__prev"></div>',
            nextArrow:    '<div class="slide__next"></div>',
            dots:         true
        });
    }
    const $vSlider = $('#museum-ugmk');
    if ($vSlider.length) {
        $vSlider.slick({
            fade:      true,
            prevArrow: '<div class="slide__prev"></div>',
            nextArrow: '<div class="slide__next"></div>',
            dots:      true
        });
    }
    const $eSlider = $('#sunday-slider');
    if ($eSlider.length) {
        $eSlider.slick({
            fade:      true,
            prevArrow: '<div class="slide__prev"></div>',
            nextArrow: '<div class="slide__next"></div>',
            dots:      true
        });
    }
    const $tSlider = $('#tours-slider');
    if ($tSlider.length) {
        $tSlider.slick({
            slidesToShow: 4,
            prevArrow:    '<div class="slide__prev"></div>',
            nextArrow:    '<div class="slide__next"></div>',
            dots:         true
        });
    }
    const $aSlider = $('#afisha-slider');
    if ($aSlider.length) {
        $aSlider.slick({
            slidesToShow: 3,
            prevArrow:    '<div class="slide__prev"></div>',
            nextArrow:    '<div class="slide__next"></div>',
            dots:         true
        });
    }
    const $iSlider = $('#info-centers-slider');
    if ($iSlider.length) {
        $iSlider.slick({
            slidesToShow: 4,
            prevArrow:    '<div class="slide__prev"></div>',
            nextArrow:    '<div class="slide__next"></div>',
            dots:         true
        });
    }
    const $hSlider = $('#hotels-slider'),
        $hMenu = $('#hotels-slider-menu'),
        $hMenuItems = $('.slide__select', $hMenu);
    if ($hSlider.length) {
        $hSlider.slick({
            autoplay: true,
            fade:   true,
            arrows: false
        }).on('beforeChange', function(s, e, c, n) {
            setActive($hMenuItems, n);
        });
        setActive($hMenuItems);
        $hMenu.on('click', '.slide__select', function() {
            const i = $(this).data('slide') || 0;
            $hSlider.slick('slickGoTo', i);
        });
    }

    setTimeout(function() {
        const $reviews = $('.reviews');
        $reviews.each(function() {
            const $t = $(this), $items = $('.reviews__item', $t), k = Math.ceil($items.length / 3);
            let h = 0;
            $items.each(function() {
                const nh = $(this).outerHeight(true);
                if (nh > h) h = nh;
            });
            $t.css('min-height', h * k);
        });
    });

    const $mMenu = $('#mainMenu'),
        $mMenuBtn = $('#showMainMenu');
    $mMenuBtn.on('click', function() {
        $(this).toggleClass('active');
        $mMenu.toggleClass('active');
    });
    $(window).scroll(function() {
        $mMenuBtn.removeClass('active');
        $mMenu.removeClass('active');
    });

    console.log('Document ready');
});